# ----------------------------------------
# APPLICATION SETTINGS (SpringApplication)
# ----------------------------------------
spring.main.banner-mode=console

# ----------------------------------------
# Connections pool
# ----------------------------------------
spring.datasource.name=HikariCP-Pool
spring.datasource.type=com.zaxxer.hikari.HikariDataSource

spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://localhost:5432/bd-funcionarios
spring.datasource.username=postgres
spring.datasource.password=495tDttwhn

# ----------------------------------------
# hikariCP
# ----------------------------------------
spring.datasource.cachePrepStmts=true
spring.dataSource.prepStmtCacheSize=250
spring.dataSource.prepStmtCacheSqlLimit=2048
spring.dataSource.useServerPrepStmts=true
spring.dataSource.minimumPoolSize=5
spring.dataSource.maximumPoolSize=15
spring.dataSource.acquireIncrement=1
spring.dataSource.maxLifetime=1800000



# ----------------------------------------
# FLYWAY (FlywayProperties)
# ----------------------------------------
flyway.enabled=true
#flyway.baseline-version=1
#flyway.baseline-on-migrate=true
#flyway.check-location=true
flyway.locations=classpath:db/migration/
#flyway.out-of-order=true


# ----------------------------------------
# DAO (PersistenceExceptionTranslationAutoConfiguration)
# ----------------------------------------
spring.dao.exceptiontranslation.enabled=true

# ----------------------------------------
# JPA (JpaBaseConfiguration, HibernateJpaAutoConfiguration)
# ----------------------------------------
spring.data.jpa.repositories.enabled=true
#spring.jpa.database=${spring.licencas.jpa.database}
#spring.jpa.hibernate.ddl-auto=${spring.jpa.hibernate.ddl-auto}
#spring.jpa.show-sql=${spring.jpa.show-sql}
#spring.jpa.database=POSTGRESQL
spring.jpa.hibernate.ddl-auto=none
spring.jpa.show-sql=false
spring.jpa.open-in-view=true

# ----------------------------------------
# hibernate configuration
# ----------------------------------------
spring.jpa.properties.hibernate.cache.use_query_cache=true
spring.jpa.properties.hibernate.cache.use_second_level_cache=true
spring.jpa.properties.hibernate.cache.region.factory_class=org.hibernate.cache.ehcache.EhCacheRegionFactory
#spring.jpa.properties.hibernate.cache.provider_configuration_file_resource_path=ehcache.xml
spring.jpa.properties.hibernate.generate_statistics=false
spring.jpa.properties.hibernate.bytecode.use_reflection_optimizer=true
spring.jpa.properties.hibernate.jdbc.use_scrollable_resultset=true
spring.jpa.properties.hibernate.jdbc.use_streams_for_binary=true
spring.jpa.properties.hibernate.jdbc.fetch_size=10
spring.jpa.properties.hibernate.use_outer_join=true
spring.jpa.properties.hibernate.query.factory_class=org.hibernate.hql.internal.ast.ASTQueryTranslatorFactory
spring.jpa.properties.hibernate.connection.isolation=2
spring.jpa.properties.hibernate.max_fetch_depth=5
spring.jpa.properties.hibernate.default_batch_fetch_size=16
spring.jpa.properties.hibernate.jdbc.batch_size=50
spring.jpa.properties.hibernate.order_inserts=true
spring.jpa.properties.hibernate.order_updates=true
spring.jpa.properties.hibernate.id.new_generator_mappings=true
